Name: faces
Version: 1.6.1
Release: ipl15mdk

Summary: A list monitor with a visual output
License: freeware
Group: Networking/Mail

Source: ftp://ftp.cs.indiana.edu/pub/%name/%name/%name-%version.tar.bz2
Source1: %name.menu
Source2: %name-mini.xpm

Patch0: %name-1.6.1-make.patch
Patch1: %name-1.6.1-awk.patch
Patch2: %name-1.6.1-string.patch
Patch3: %name-1.6.1-fix.patch
Patch4: %name-1.6.1-ikon2xbm.patch

# Automatically added by buildreq on Fri Feb 23 2001
BuildRequires: XFree86-devel byacc

%description
Faces is a program for visually monitoring a list (typically a list of
incoming mail messages, a list of jobs in a print queue or a list of
system users).  Faces operates in five different modes: monitoring for
new mail, monitoring an entire mail file, monitoring a specified print
queue, monitoring users on a machine and custom monitoring.  Faces also
includes a utility for including a face image (a compressed, scanned
image) with mail messages.  The image has to be compressed in a certain
way, which can then be uncompressed and displayed on-the-fly in the mail
program.  This feature of %name is typically used with the exmh mail
handling system.

Install %name if you'd like to use its list monitoring capability or
its face image inclusion capability.  If you would like to include
face images in email, you'll also need to install the %name-xface
package.  If you would like to develop xface applications, you'll need
to also install %name-devel.

%package xface
Requires: libgr-progs
Summary: Utilities needed by mailers for handling Faces' X-face images
Group: Networking/Mail

%description xface
Faces-xface includes the utilities that mail user agent programs need to
handle X-Face mail headers.  When an email program reads the X-face
header line in an email message, it calls these utilities to display
the face image included in the message.

You'll need to install %name-xface if you want your mail program to
display Faces' X-face images.

%package devel
Summary: The Faces program's library and header files
Group: Development/C

%description devel
Faces-devel contains the %name program development environment,
(i.e., the static libraries and header files).

If you want to develop Faces applications, you'll need to install
%name-devel.  You'll also need to install the %name package.

%prep
%setup -q -n %name
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%make_build -f Makefile.dist x11

%install
mkdir -p $RPM_BUILD_ROOT{%_bindir,%_includedir,%_libdir/%name,%_mandir/man{1,3}}
%make_install install -f Makefile.dist \
	BINDIR=$RPM_BUILD_ROOT%_bindir \
	LIBDIR=$RPM_BUILD_ROOT%_libdir \
	MANDIR=$RPM_BUILD_ROOT%_mandir

install -p -m644 compface/compface.h $RPM_BUILD_ROOT%_includedir
install -p -m644 -D %SOURCE1 $RPM_BUILD_ROOT%_menudir/%name
install -p -m644 -D %SOURCE2 $RPM_BUILD_ROOT%_miconsdir/%name.xpm

%post
%update_menus

%postun
%clean_menus

%files
%_bindir/compface
%_bindir/icon2ikon
%_bindir/ikon2icon
%_bindir/fs2ikon
%_bindir/rs2icon
%_bindir/fs2xbm
%_bindir/xbm2ikon
%_bindir/xbmcut48
%_bindir/xbmsize48
%_bindir/addxface
%_bindir/mailq.%name
%_bindir/from.%name
%_bindir/lpqall.%name
%_bindir/rotary.%name
%_bindir/%{name}addr
%_bindir/%{name}all
%_bindir/mk%{name}index
%_bindir/newscheck.%name
%_bindir/newsfrom.%name
%_bindir/%name
%_bindir/face_update
%_bindir/%name.sendmail
%_libdir/%name
%_mandir/man1/%name.1.*
%_mandir/man1/face_update.1.*
%_mandir/man1/compface.1.*
%_mandir/man3/compface.3.*
%_menudir/*
%_miconsdir/*.xpm

%files xface
%_bindir/ikon2xbm
%_bindir/uncompface
%_mandir/man1/uncompface.1.*
%_mandir/man3/uncompface.3.*

%files devel
%_libdir/*.a
%_includedir/*

%changelog
* Fri Sep 27 2002 Rider <rider@altlinux.ru> 1.6.1-ipl15mdk
- Rebuild

* Fri Feb 23 2001 Dmitry V. Levin <ldv@fandra.org> 1.6.1-ipl14mdk
- Rebuilt in environment with sendmail-common installed.

* Wed Jan 03 2001 AEN <aen@logic.ru>
- adopted for RE

* Wed Aug 09 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.6.1-12mdk
- rebuild for the macors  Stefan: the patch failed to apply ...

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.6.1-11mdk
- automatically added BuildRequires

* Sun Apr 02 2000 Jerome Martin <jerome@mandrakesoft.com> 1.6.1-10mdk
- add mini icon for menus
- add menu entries
- fix rpm group
- specfile cleanup (permissions and spec-helper stuff)

* Tue Nov  9 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- fix ikon2xbm problem (r).

* Tue May 11 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Thu Apr 08 1999 Preston Brown <pbrown@redhat.com>
- fix xbm2ikon problem (bug # 1060).

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 14)

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Fri Dec 18 1998 Preston Brown <pbrown@redhat.com>
- bumped spec number for initial rh 6.0 build

* Sat Aug 15 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- faces-devel moved to Development/Libraries

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Oct 21 1997 Donnie Barnes <djb@redhat.com>
- spec file cleanups

* Wed Oct 15 1997 Erik Troan <ewt@redhat.com>
- changed netpbm requirement to libgr-progs requirement

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
